Subject: gcc and aliases

From: Philip Blundell <[email-masked]>
Date: Thu, 12 Jun 1997 12:01:41 +0100 (BST)

The problem with gcc not being able to generate aliases for a.out files
turns out to be truly simple, and will be fixed in 2.8.  Here's a quick
patch against 2.7.2.2.  With this it should be possible to build a working
glibc.

p.

--- gcc-2.7.2.2/config/linux-aout.h.orig        Thu Jun 12 11:59:23 1997
+++ gcc-2.7.2.2/config/linux-aout.h     Thu Jun 12 11:59:10 1997
@@ -50,3 +50,5 @@
 /* We need that too. */
 #define HANDLE_SYSV_PRAGMA

+#define SET_ASM_OP ".set"
+